#ifndef DISPATCH_HOOK_H
#define DISPATCH_HOOK_H

// extern HWND g_hMainWnd;


template <typename T> // make this class most customizable through hook method param!!!
class CDispatchHook:
    public T
{
public:
    typedef T hookedDispInterface;
    
    enum taimer_id { value = 1 };
    static const unsigned int interval_msec = 20000;
    CDispatchHook()
    {
    }
    virtual ~CDispatchHook()
    {
    }

    STDMETHOD(Invoke)(DISPID dispidMember, REFIID riid,
        LCID lcid, WORD wFlags, DISPPARAMS* pdispparams, VARIANT* pvarResult,
        EXCEPINFO* pexcepinfo, UINT* puArgErr)
    {
        //::KillTimer(g_hMainWnd, value);
        //::SetTimer(g_hMainWnd, value, interval_msec, NULL);
        return hookedDispInterface::Invoke(dispidMember, 
            riid,lcid, wFlags, pdispparams, pvarResult, pexcepinfo, puArgErr);
    }

}; // CDispatchHook

#endif // DISPATCH_HOOK_H