
/***************************************************************************
*
* AutomateIT -- MS Office COM objects cloner
* 
* Copyright (C) 2005 by ApriorIT <support@apriorit.com>
* 
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; either version 2.1 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
* 
* You should have received a copy of the GNU Lesser General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
****************************************************************************/


// WordClone.cpp : Implementation of WinMain

#include "stdafx.h"
#include "resource.h"
#include "WordClone.h"
#include "WordBasic.h"


class CWordCloneModule : public CAtlExeModuleT< CWordCloneModule >
{
public :
    DECLARE_LIBID(LIBID_WordCloneLib)
    DECLARE_REGISTRY_APPID_RESOURCEID(IDR_WORDCLONE, "{961872B4-5E04-4810-8B05-B132456E4630}")
};

CWordCloneModule _AtlModule;

#define MAX_LOADSTRING 256



extern "C" int WINAPI _tWinMain(HINSTANCE hInstance, HINSTANCE /*hPrevInstance*/, 
                                LPTSTR /*lpCmdLine*/, int nShowCmd)
{

    WRITE_LOG_R_W((L"Word clonner start"));

    return _AtlModule.WinMain(nShowCmd);
}

