#pragma once

#include <AutoWrap.h>


/*
	CPropertyValue class implements methods that allows 
	Retrieving/setting OpenOffice object properties. It wraps com.sun.star.beans.PropertyValue class 
	for easier usage.
*/
class CPropertyValue
{
	IDispatch *m_pdVal;
public :
	CPropertyValue(IDispatch *pdParent);
	HRESULT SetPropertyValue(CComVariant vName, CComVariant vValue);
	IDispatch* GetValueDispatch();
	BOOL IsValid();
	~CPropertyValue();
};